SQ(1)

NAME
sq key attest-certifications - Attest to third-party certifications

SYNOPSIS
sq key attest-certifications [OPTIONS]

DESCRIPTION
Attest to third-party certifications allowing for their distribution.

To prevent certificate flooding attacks, modern key servers prevent uncontrolled distribution of third-party certifications on certificates. To allow the key holder to control what information is distributed with their certificate, these key servers only distribute third-party certifications that the key holder has explicitly approved.

After the attestation has been created, the certificate has to be distributed, e.g. by uploading it to a key server.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

--all
    Attest to all certifications

--cert=CERT
    Change attestations on the specified certificate

--cert-file=CERT_FILE
    Change attestations on the specified certificate

--none
    Remove all prior attestations

-o, --output=FILE
    Write to the specified FILE.

    If not specified, and the certificate was read from the certificate store, imports the modified certificate into the cert store. If not specified, and the certificate was read from a file, writes the modified certificate to stdout.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Import Alice's key.

    sq key import alice-secret.pgp

Attest to all of the certifications on all the user IDs.

    sq key attest-certifications --all --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)